/*===========================================================================*/
/*   (Write/scheme.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Write/scheme.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzwrite_schemez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__writezd2schemezd2commentz00zzwrite_schemez00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
static obj_t BGl__writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzwrite_schemez00();
BGL_EXPORTED_DECL obj_t BGl_writezd2schemezd2commentz00zzwrite_schemez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzwrite_schemez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzwrite_schemez00();
BGL_IMPORT obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_writezd2schemezd2filezd2headerzd2envz00zzwrite_schemez00, BgL_bgl__writeza7d2schemeza7d2fileza7d2headerza7d2za7za7write_schemeza7001077za7, BGl__writezd2schemezd2filezd2headerzd2zzwrite_schemez00, 0L, 2 );
DEFINE_STRING( BGl_string1068z00zzwrite_schemez00, BgL_bgl_string1068za700za7za7write_schemeza7001078z00, ";;", 2 );
DEFINE_STRING( BGl_string1067z00zzwrite_schemez00, BgL_bgl_string1067za700za7za7write_schemeza7001079z00, "       ", 7 );
DEFINE_STRING( BGl_string1066z00zzwrite_schemez00, BgL_bgl_string1066za700za7za7write_schemeza7001080z00, ";; ", 3 );
DEFINE_STRING( BGl_string1065z00zzwrite_schemez00, BgL_bgl_string1065za700za7za7write_schemeza7001081z00, ";; =========================================================", 60 );
DEFINE_EXPORT_PROCEDURE( BGl_writezd2schemezd2commentzd2envzd2zzwrite_schemez00, BgL_bgl__writeza7d2schemeza7d2commentza700za7za7write_schemeza7001082z00, va_generic_entry, BGl__writezd2schemezd2commentz00zzwrite_schemez00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzwrite_schemez00(long BgL_checksumz00_41, char * BgL_fromz00_42)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzwrite_schemez00))
{ 
BGl_requirezd2initializa7ationz75zzwrite_schemez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzwrite_schemez00(); 
BGl_importedzd2moduleszd2initz00zzwrite_schemez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzwrite_schemez00()
{ AN_OBJECT;
{ /* ./Write/scheme.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "write_scheme"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "write_scheme"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "write_scheme"); 
return BUNSPEC;} 
}



/* write-scheme-file-header */
BGL_EXPORTED_DEF obj_t BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t BgL_portz00_1, obj_t BgL_stringz00_2)
{ AN_OBJECT;
{ /* ./Write/scheme.scm 23 */
display_string(BGl_string1065z00zzwrite_schemez00, BgL_portz00_1); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1); 
display_string(BGl_string1066z00zzwrite_schemez00, BgL_portz00_1); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_stringz00_2, BgL_portz00_1); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1); 
display_string(BGl_string1066z00zzwrite_schemez00, BgL_portz00_1); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2bigloozd2nameza2zd2zzengine_paramz00, BgL_portz00_1); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1); 
display_string(BGl_string1066z00zzwrite_schemez00, BgL_portz00_1); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2bigloozd2authorza2zd2zzengine_paramz00, BgL_portz00_1); 
display_string(BGl_string1067z00zzwrite_schemez00, BgL_portz00_1); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2bigloozd2dateza2zd2zzengine_paramz00, BgL_portz00_1); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1); 
display_string(BGl_string1065z00zzwrite_schemez00, BgL_portz00_1); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1);} 
}



/* _write-scheme-file-header */
obj_t BGl__writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t BgL_envz00_35, obj_t BgL_portz00_36, obj_t BgL_stringz00_37)
{ AN_OBJECT;
{ /* ./Write/scheme.scm 23 */
return 
BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(BgL_portz00_36, BgL_stringz00_37);} 
}



/* write-scheme-comment */
BGL_EXPORTED_DEF obj_t BGl_writezd2schemezd2commentz00zzwrite_schemez00(obj_t BgL_portz00_3, obj_t BgL_sexpz00_4)
{ AN_OBJECT;
{ /* ./Write/scheme.scm 34 */
{ /* ./Write/scheme.scm 36 */
bool_t BgL_test1026z00_10;
BgL_test1026z00_10 = 
NULLP(BgL_sexpz00_4); 
if(BgL_test1026z00_10)
{ /* ./Write/scheme.scm 36 */
display_string(BGl_string1068z00zzwrite_schemez00, BgL_portz00_3); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_3);}  else 
{ /* ./Write/scheme.scm 38 */
bool_t BgL_test1029z00_12;
{ /* ./Write/scheme.scm 38 */
obj_t BgL_auxz00_72;
BgL_auxz00_72 = 
CDR(BgL_sexpz00_4); 
BgL_test1029z00_12 = 
NULLP(BgL_auxz00_72); } 
if(BgL_test1029z00_12)
{ /* ./Write/scheme.scm 38 */
display_string(BGl_string1066z00zzwrite_schemez00, BgL_portz00_3); 
{ /* ./Write/scheme.scm 39 */
obj_t BgL_arg1032z00_14;
BgL_arg1032z00_14 = 
CAR(BgL_sexpz00_4); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1032z00_14, BgL_portz00_3); } 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_3);}  else 
{ /* ./Write/scheme.scm 38 */
{ /* ./Write/scheme.scm 41 */
obj_t BgL_runner1045z00_19;
{ /* ./Write/scheme.scm 41 */
obj_t BgL_list1037z00_15;
{ /* ./Write/scheme.scm 41 */
obj_t BgL_arg1041z00_17;
BgL_arg1041z00_17 = 
MAKE_PAIR(BgL_sexpz00_4, BNIL); 
BgL_list1037z00_15 = 
MAKE_PAIR(BGl_string1066z00zzwrite_schemez00, BgL_arg1041z00_17); } 
BgL_runner1045z00_19 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_portz00_3, BgL_list1037z00_15); } 
{ /* ./Write/scheme.scm 41 */
obj_t BgL_aux1044z00_18;
{ /* ./Write/scheme.scm 41 */
obj_t BgL_pairz00_33;
BgL_pairz00_33 = BgL_runner1045z00_19; 
BgL_aux1044z00_18 = 
CAR(BgL_pairz00_33); } 
{ /* ./Write/scheme.scm 41 */
obj_t BgL_pairz00_34;
BgL_pairz00_34 = BgL_runner1045z00_19; 
BgL_runner1045z00_19 = 
CDR(BgL_pairz00_34); } 
return 
BGl_fprintz00zz__r4_output_6_10_3z00(BgL_aux1044z00_18, BgL_runner1045z00_19);} } } } } } 
}



/* _write-scheme-comment */
obj_t BGl__writezd2schemezd2commentz00zzwrite_schemez00(obj_t BgL_envz00_38, obj_t BgL_portz00_39, obj_t BgL_sexpz00_40)
{ AN_OBJECT;
{ /* ./Write/scheme.scm 34 */
return 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_39, BgL_sexpz00_40);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzwrite_schemez00()
{ AN_OBJECT;
{ /* ./Write/scheme.scm 15 */
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "write_scheme");} 
}

